clc; clear; close all;

Globals2D;

tic;
Problem;

N = 6; % degree of polynomial representing solution within an element (local solution representation)

StartUp2D; % computing local operators and mesh information

NonreflectingBCStartup;

[mapI, vmapI, mapO, vmapO] = BuildBCMaps();

NumericalFluxStartup;

rho_IC_values = rho_IC(x,y); % evaluating initial condition
u_IC_values = u_IC(x,y); % evaluating initial condition
v_IC_values = v_IC(x,y); % evaluating initial condition
p_IC_values = p_IC(x,y); % evaluating initial condition

[rho,u,v,p] = Timestepping_PML(rho_IC_values,u_IC_values,v_IC_values,p_IC_values,T); % time-stepping for the ODE system
computation_time = toc;